#ifndef IRMIX_OSD_H
#define IRMIX_OSD_H

struct osdcontext
{
    void (*dispose)(struct osdcontext *osd);
    void (*setmaxlevel)(struct osdcontext *osd,int level);
    void (*setlevel)(struct osdcontext *osd,int level, int mute);
    void (*setname)(struct osdcontext *osd,char *name,int icon);
    void (*show)(struct osdcontext *osd);
    void (*hide)(struct osdcontext *osd);
    struct osdprivate *priv;
};

struct osdcontext *osd_create(int widthoffset, int bottomedge, int screen);

#endif
